Skip to content

Voice Menus & PBX (IVR)

All operations require authentication.

114 operationsv1/telephony/sounds · /telephony/{billingAccount}
Agent setup

Sounds attached to this telephony accountProduction

GET
/1.0/telephony/sounds

Response

200integer[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/telephony/sounds \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a soundProduction

GET
/1.0/telephony/sounds/{id}

Path parameters

id
required
integer

Sound ID

Response

200Soundsuccessful operation
creationDate
read-only
stringdate-time

Sound creation date

description
string

Sound description

filename
string

Sound filename

getUrl
read-only
string

URL to get sound file

id
read-only
integer

Sound ID

putUrl
read-only
string

URL to upload sound file

size
read-only
integer

Sound file size (in bytes)

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/sounds/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "description": "string", "filename": "string", "getUrl": "string", "id": 0, "putUrl": "string", "size": 0}

Create a soundProduction

POST
/1.0/telephony/sounds

Request body (required)

description
string

Sound description

filename
required
string

Sound filename

Response

200Soundsuccessful operation
creationDate
read-only
stringdate-time

Sound creation date

description
string

Sound description

filename
string

Sound filename

getUrl
read-only
string

URL to get sound file

id
read-only
integer

Sound ID

putUrl
read-only
string

URL to upload sound file

size
read-only
integer

Sound file size (in bytes)

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/telephony/sounds \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "description": "string", "filename": "string", "getUrl": "string", "id": 0, "putUrl": "string", "size": 0}

Delete a soundProduction

DELETE
/1.0/telephony/sounds/{id}

Path parameters

id
required
integer

Sound ID

Response

200—successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/sounds/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a soundProduction

PUT
/1.0/telephony/sounds/{id}

Path parameters

id
required
integer

Sound ID

Request body (required)

creationDate
read-only
stringdate-time

Sound creation date

description
string

Sound description

filename
string

Sound filename

getUrl
read-only
string

URL to get sound file

id
read-only
integer

Sound ID

putUrl
read-only
string

URL to upload sound file

size
read-only
integer

Sound file size (in bytes)

Response

200—successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/sounds/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

List PBX servicesProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a PBX serviceProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200OvhPabxsuccessful operation
description
string

Description of the service

featureType
read-only
TypeEnum

Feature of the service

ValuesaiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxml
isCCS
read-only
boolean

Does the service have extended CCS options enabled?

serviceName
read-only
string
—
serviceType
read-only
TypeServiceEnum

General type of the service

Valuesaliasline

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "description": "string", "featureType": "aiAgent", "isCCS": true, "serviceName": "string", "serviceType": "alias"}

Update a PBX serviceProduction

PUT
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

description
string

Description of the service

featureType
read-only
TypeEnum

Feature of the service

ValuesaiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxml
isCCS
read-only
boolean

Does the service have extended CCS options enabled?

serviceName
read-only
string
—
serviceType
read-only
TypeServiceEnum

General type of the service

Valuesaliasline

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

List dialplansProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a dialplanProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}

Path parameters

billingAccount
required
string

The name of your billingAccount

dialplanId
required
integer
—
serviceName
required
string
—

Response

200OvhPabxDialplansuccessful operation
anonymousRejection
boolean

Reject (hangup) anonymous calls

dialplanId
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
name
string

The dialplan name

showCallerNumber
OvhPabxDialplanNumberPresentationEnum

The presented number when bridging calls

Valuesaliasbothcaller
transferTimeout
integer

The timeout (in seconds) when bridging calls

Example uses billingAccount = string, dialplanId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "anonymousRejection": true, "dialplanId": 0, "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "showCallerNumber": "alias", "transferTimeout": 0}

Create a dialplanProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

anonymousRejection
required
boolean

Reject (hangup) anonymous calls

name
required
string

The dialplan name

showCallerNumber
required
OvhPabxDialplanNumberPresentationEnum

The presented number when bridging calls

Valuesaliasbothcaller
transferTimeout
required
integer

The timeout (in seconds) when bridging calls

Response

200OvhPabxDialplansuccessful operation
anonymousRejection
boolean

Reject (hangup) anonymous calls

dialplanId
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
name
string

The dialplan name

showCallerNumber
OvhPabxDialplanNumberPresentationEnum

The presented number when bridging calls

Valuesaliasbothcaller
transferTimeout
integer

The timeout (in seconds) when bridging calls

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "anonymousRejection": true, "dialplanId": 0, "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "showCallerNumber": "alias", "transferTimeout": 0}

Delete a dialplanProduction

DELETE
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}

Path parameters

billingAccount
required
string

The name of your billingAccount

dialplanId
required
integer
—
serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, dialplanId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a dialplanProduction

PUT
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}

Path parameters

billingAccount
required
string

The name of your billingAccount

dialplanId
required
integer
—
serviceName
required
string
—

Request body (required)

anonymousRejection
boolean

Reject (hangup) anonymous calls

dialplanId
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
name
string

The dialplan name

showCallerNumber
OvhPabxDialplanNumberPresentationEnum

The presented number when bridging calls

Valuesaliasbothcaller
transferTimeout
integer

The timeout (in seconds) when bridging calls

Response

200—successful operation

Example uses billingAccount = string, dialplanId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId} \
  -H "authorization: Bearer $OVH_TOKEN"

List extensionsProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension

Path parameters

billingAccount
required
string

The name of your billingAccount

dialplanId
required
integer
—
serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, dialplanId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get an extensionProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}

Path parameters

billingAccount
required
string

The name of your billingAccount

dialplanId
required
integer
—
extensionId
required
integer
—
serviceName
required
string
—

Response

200OvhPabxDialplanExtensionsuccessful operation
enabled
boolean

True if the extension is enabled

extensionId
read-only
integer
—
position
integer

The position of the extension in the dialplan (the extensions are executed following this order)

schedulerCategory
SchedulerCategoryEnum

Additionnal conditions are used from this chosen scheduler category

Valuesholidaysscheduler1scheduler2scheduler3
screenListType
OvhPabxDialplanExtensionConditionScreenListTypeEnum

The type of the screenlist

ValuesdestinationBlackListdestinationWhiteListincomingBlackListincomingWhiteList

Example uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "enabled": true, "extensionId": 0, "position": 0, "schedulerCategory": "holidays", "screenListType": "destinationBlackList"}

Create an extensionProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension

Path parameters

billingAccount
required
string

The name of your billingAccount

dialplanId
required
integer
—
serviceName
required
string
—

Request body (required)

enable
required
boolean

True to enable the extension

position
required
integer

The position of the extension in the dialplan (the extensions are executed following this order)

schedulerCategory
SchedulerCategoryEnum

Additionnal conditions will be used from this chosen scheduler category

Valuesholidaysscheduler1scheduler2scheduler3
screenListType
OvhPabxDialplanExtensionConditionScreenListTypeEnum

The type of the screenlist

ValuesdestinationBlackListdestinationWhiteListincomingBlackListincomingWhiteList

Response

200OvhPabxDialplanExtensionsuccessful operation
enabled
boolean

True if the extension is enabled

extensionId
read-only
integer
—
position
integer

The position of the extension in the dialplan (the extensions are executed following this order)

schedulerCategory
SchedulerCategoryEnum

Additionnal conditions are used from this chosen scheduler category

Valuesholidaysscheduler1scheduler2scheduler3
screenListType
OvhPabxDialplanExtensionConditionScreenListTypeEnum

The type of the screenlist

ValuesdestinationBlackListdestinationWhiteListincomingBlackListincomingWhiteList

Example uses billingAccount = string, dialplanId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "enabled": true, "extensionId": 0, "position": 0, "schedulerCategory": "holidays", "screenListType": "destinationBlackList"}

Delete an extensionProduction

DELETE
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}

Path parameters

billingAccount
required
string

The name of your billingAccount

dialplanId
required
integer
—
extensionId
required
integer
—
serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId} \
  -H "authorization: Bearer $OVH_TOKEN"

Update an extensionProduction

PUT
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}

Path parameters

billingAccount
required
string

The name of your billingAccount

dialplanId
required
integer
—
extensionId
required
integer
—
serviceName
required
string
—

Request body (required)

enabled
boolean

True if the extension is enabled

extensionId
read-only
integer
—
position
integer

The position of the extension in the dialplan (the extensions are executed following this order)

schedulerCategory
SchedulerCategoryEnum

Additionnal conditions are used from this chosen scheduler category

Valuesholidaysscheduler1scheduler2scheduler3
screenListType
OvhPabxDialplanExtensionConditionScreenListTypeEnum

The type of the screenlist

ValuesdestinationBlackListdestinationWhiteListincomingBlackListincomingWhiteList

Response

200—successful operation

Example uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId} \
  -H "authorization: Bearer $OVH_TOKEN"

List filtering conditionsProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/conditionScreenList

Path parameters

billingAccount
required
string

The name of your billingAccount

dialplanId
required
integer
—
extensionId
required
integer
—
serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/conditionScreenList \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a filtering conditionProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/conditionScreenList/{conditionId}

Path parameters

billingAccount
required
string

The name of your billingAccount

conditionId
required
integer
—
dialplanId
required
integer
—
extensionId
required
integer
—
serviceName
required
string
—

Response

200OvhPabxDialplanExtensionConditionScreenListsuccessful operation
callerIdNumber
read-only
string

Screenlist based on the presented caller number

conditionId
read-only
integer
—
destinationNumber
read-only
string

Screenlist based on the destination number

screenListType
read-only
OvhPabxDialplanExtensionConditionScreenListTypeEnum

Type of screenlist

ValuesdestinationBlackListdestinationWhiteListincomingBlackListincomingWhiteList

Example uses billingAccount = string, conditionId = 0, dialplanId = 0, extensionId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/conditionScreenList/{conditionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "callerIdNumber": "string", "conditionId": 0, "destinationNumber": "string", "screenListType": "destinationBlackList"}

Create a filtering conditionProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/conditionScreenList

Path parameters

billingAccount
required
string

The name of your billingAccount

dialplanId
required
integer
—
extensionId
required
integer
—
serviceName
required
string
—

Request body (required)

callerIdNumber
string

Add a screenlist based on the presented caller number

destinationNumber
string

Add a screenlist based on the destination number

screenListType
OvhPabxDialplanExtensionConditionScreenListTypeEnum

Type of screenlist

ValuesdestinationBlackListdestinationWhiteListincomingBlackListincomingWhiteList

Response

200OvhPabxDialplanExtensionConditionScreenListsuccessful operation
callerIdNumber
read-only
string

Screenlist based on the presented caller number

conditionId
read-only
integer
—
destinationNumber
read-only
string

Screenlist based on the destination number

screenListType
read-only
OvhPabxDialplanExtensionConditionScreenListTypeEnum

Type of screenlist

ValuesdestinationBlackListdestinationWhiteListincomingBlackListincomingWhiteList

Example uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/conditionScreenList \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "callerIdNumber": "string", "conditionId": 0, "destinationNumber": "string", "screenListType": "destinationBlackList"}

Delete a filtering conditionProduction

DELETE
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/conditionScreenList/{conditionId}

Path parameters

billingAccount
required
string

The name of your billingAccount

conditionId
required
integer
—
dialplanId
required
integer
—
extensionId
required
integer
—
serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, conditionId = 0, dialplanId = 0, extensionId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/conditionScreenList/{conditionId} \
  -H "authorization: Bearer $OVH_TOKEN"

List time conditionsProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/conditionTime

Path parameters

billingAccount
required
string

The name of your billingAccount

dialplanId
required
integer
—
extensionId
required
integer
—
serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/conditionTime \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a time conditionProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/conditionTime/{conditionId}

Path parameters

billingAccount
required
string

The name of your billingAccount

conditionId
required
integer
—
dialplanId
required
integer
—
extensionId
required
integer
—
serviceName
required
string
—

Response

200OvhPabxDialplanExtensionConditionTimesuccessful operation
conditionId
read-only
integer
—
timeFrom
time

The time of the day when the extension will start to be executed

timeTo
time

The time of the day when the extension will stop to be executed

weekDay
OvhPabxDialplanExtensionConditionTimeWeekDayEnum

The day of the week when the extension will be executed

Valuesfridaymondaysaturdaysundaythursdaytuesdaywednesday

Example uses billingAccount = string, conditionId = 0, dialplanId = 0, extensionId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/conditionTime/{conditionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "conditionId": 0, "timeFrom": "15:04:05", "timeTo": "15:04:05", "weekDay": "friday"}

Create a time conditionProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/conditionTime

Path parameters

billingAccount
required
string

The name of your billingAccount

dialplanId
required
integer
—
extensionId
required
integer
—
serviceName
required
string
—

Request body (required)

timeFrom
required
time

The time of the day when the extension will start to be executed

timeTo
required
time

The time of the day when the extension will stop to be executed

weekDay
required
OvhPabxDialplanExtensionConditionTimeWeekDayEnum

The day of the week when the extension will be executed

Valuesfridaymondaysaturdaysundaythursdaytuesdaywednesday

Response

200OvhPabxDialplanExtensionConditionTimesuccessful operation
conditionId
read-only
integer
—
timeFrom
time

The time of the day when the extension will start to be executed

timeTo
time

The time of the day when the extension will stop to be executed

weekDay
OvhPabxDialplanExtensionConditionTimeWeekDayEnum

The day of the week when the extension will be executed

Valuesfridaymondaysaturdaysundaythursdaytuesdaywednesday

Example uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/conditionTime \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "conditionId": 0, "timeFrom": "15:04:05", "timeTo": "15:04:05", "weekDay": "friday"}

Delete a time conditionProduction

DELETE
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/conditionTime/{conditionId}

Path parameters

billingAccount
required
string

The name of your billingAccount

conditionId
required
integer
—
dialplanId
required
integer
—
extensionId
required
integer
—
serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, conditionId = 0, dialplanId = 0, extensionId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/conditionTime/{conditionId} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a time conditionProduction

PUT
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/conditionTime/{conditionId}

Path parameters

billingAccount
required
string

The name of your billingAccount

conditionId
required
integer
—
dialplanId
required
integer
—
extensionId
required
integer
—
serviceName
required
string
—

Request body (required)

conditionId
read-only
integer
—
timeFrom
time

The time of the day when the extension will start to be executed

timeTo
time

The time of the day when the extension will stop to be executed

weekDay
OvhPabxDialplanExtensionConditionTimeWeekDayEnum

The day of the week when the extension will be executed

Valuesfridaymondaysaturdaysundaythursdaytuesdaywednesday

Response

200—successful operation

Example uses billingAccount = string, conditionId = 0, dialplanId = 0, extensionId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/conditionTime/{conditionId} \
  -H "authorization: Bearer $OVH_TOKEN"

List extension rulesProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/rule

Path parameters

billingAccount
required
string

The name of your billingAccount

dialplanId
required
integer
—
extensionId
required
integer
—
serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/rule \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get an extension ruleProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/rule/{ruleId}

Path parameters

billingAccount
required
string

The name of your billingAccount

dialplanId
required
integer
—
extensionId
required
integer
—
ruleId
required
integer
—
serviceName
required
string
—

Response

200OvhPabxDialplanExtensionRulesuccessful operation
action
OvhPabxDialplanExtensionRuleActionEnum

The action made by the rule

Valuesbridgeendless_playbackhanguphuntingivrplaybackreadDtmfsetCallerNamesleepttsvoicemail
actionParam
string

The parameter of the chosen action

negativeAction
boolean

If true, the rule will be executed only when the result of the conditions is false

position
integer

The position of the rule in the extension (the rules are executed following this order)

ruleId
read-only
integer
—

Example uses billingAccount = string, dialplanId = 0, extensionId = 0, ruleId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/rule/{ruleId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "bridge", "actionParam": "string", "negativeAction": true, "position": 0, "ruleId": 0}

Create an extension ruleProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/rule

Path parameters

billingAccount
required
string

The name of your billingAccount

dialplanId
required
integer
—
extensionId
required
integer
—
serviceName
required
string
—

Request body (required)

action
required
OvhPabxDialplanExtensionRuleActionEnum

The action made by the rule

Valuesbridgeendless_playbackhanguphuntingivrplaybackreadDtmfsetCallerNamesleepttsvoicemail
actionParam
string

The parameter of the chosen action

negativeAction
required
boolean

If true, the rule will be executed only when the result of the conditions is false

position
required
integer

The position of the rule in the extension (the rules are executed following this order)

Response

200OvhPabxDialplanExtensionRulesuccessful operation
action
OvhPabxDialplanExtensionRuleActionEnum

The action made by the rule

Valuesbridgeendless_playbackhanguphuntingivrplaybackreadDtmfsetCallerNamesleepttsvoicemail
actionParam
string

The parameter of the chosen action

negativeAction
boolean

If true, the rule will be executed only when the result of the conditions is false

position
integer

The position of the rule in the extension (the rules are executed following this order)

ruleId
read-only
integer
—

Example uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/rule \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "bridge", "actionParam": "string", "negativeAction": true, "position": 0, "ruleId": 0}

Delete an extension ruleProduction

DELETE
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/rule/{ruleId}

Path parameters

billingAccount
required
string

The name of your billingAccount

dialplanId
required
integer
—
extensionId
required
integer
—
ruleId
required
integer
—
serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, dialplanId = 0, extensionId = 0, ruleId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/rule/{ruleId} \
  -H "authorization: Bearer $OVH_TOKEN"

Update an extension ruleProduction

PUT
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/rule/{ruleId}

Path parameters

billingAccount
required
string

The name of your billingAccount

dialplanId
required
integer
—
extensionId
required
integer
—
ruleId
required
integer
—
serviceName
required
string
—

Request body (required)

action
OvhPabxDialplanExtensionRuleActionEnum

The action made by the rule

Valuesbridgeendless_playbackhanguphuntingivrplaybackreadDtmfsetCallerNamesleepttsvoicemail
actionParam
string

The parameter of the chosen action

negativeAction
boolean

If true, the rule will be executed only when the result of the conditions is false

position
integer

The position of the rule in the extension (the rules are executed following this order)

ruleId
read-only
integer
—

Response

200—successful operation

Example uses billingAccount = string, dialplanId = 0, extensionId = 0, ruleId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/dialplan/{dialplanId}/extension/{extensionId}/rule/{ruleId} \
  -H "authorization: Bearer $OVH_TOKEN"

Get the queue system settingsProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200OvhPabxHuntingsuccessful operation
crmUrlTemplate
string

The templated url of your CRM, opened by the banner application of your cloudpabx

g729
boolean

Enable G729 codec on your callcenter

name
read-only
string

The name of your callcenter offer

statusIvrEnabled
boolean

Enable/Disable the status change IVR on your callcenter. The IVR is enabled by default.

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "crmUrlTemplate": "string", "g729": true, "name": "string", "statusIvrEnabled": true}

Update the queue system settingsProduction

PUT
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

crmUrlTemplate
string

The templated url of your CRM, opened by the banner application of your cloudpabx

g729
boolean

Enable G729 codec on your callcenter

name
read-only
string

The name of your callcenter offer

statusIvrEnabled
boolean

Enable/Disable the status change IVR on your callcenter. The IVR is enabled by default.

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting \
  -H "authorization: Bearer $OVH_TOKEN"

List agentsProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get an agentProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200OvhPabxHuntingAgentsuccessful operation
agentId
read-only
integer
—
breakStatus
integer

The id of the current break status of the agent

description
string

The agent's description

number
phoneNumber

The number of the agent

simultaneousLines
integer

The maximum of simultaneous calls that the agent will receive from the hunting

status
OvhPabxHuntingAgentStatusEnum

The current status of the agent

ValuesavailableloggedOutonBreak
timeout
integer

The waiting timeout (in seconds) before hangup an assigned called

type
read-only
OvhPabxHuntingAgentTypeEnum

The agent's type

Valuesexternalinternal
wrapUpTime
integer

The wrap up time (in seconds) after the calls

Example uses agentId = 0, billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "agentId": 0, "breakStatus": 0, "description": "string", "number": "string", "simultaneousLines": 0, "status": "available", "timeout": 0, "type": "external", "wrapUpTime": 0}

Create an agentProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

description
string

The agent's description

number
required
phoneNumber

The number of the agent

simultaneousLines
required
integer

The maximum of simultaneous calls that the agent will receive from the hunting

status
required
OvhPabxHuntingAgentStatusEnum

The current status of the agent

ValuesavailableloggedOutonBreak
timeout
required
integer

The waiting timeout (in seconds) before hangup for an assigned called

wrapUpTime
required
integer

The wrap up time (in seconds) after the calls

Response

200OvhPabxHuntingAgentsuccessful operation
agentId
read-only
integer
—
breakStatus
integer

The id of the current break status of the agent

description
string

The agent's description

number
phoneNumber

The number of the agent

simultaneousLines
integer

The maximum of simultaneous calls that the agent will receive from the hunting

status
OvhPabxHuntingAgentStatusEnum

The current status of the agent

ValuesavailableloggedOutonBreak
timeout
integer

The waiting timeout (in seconds) before hangup an assigned called

type
read-only
OvhPabxHuntingAgentTypeEnum

The agent's type

Valuesexternalinternal
wrapUpTime
integer

The wrap up time (in seconds) after the calls

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "agentId": 0, "breakStatus": 0, "description": "string", "number": "string", "simultaneousLines": 0, "status": "available", "timeout": 0, "type": "external", "wrapUpTime": 0}

Delete an agentProduction

DELETE
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200—successful operation

Example uses agentId = 0, billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId} \
  -H "authorization: Bearer $OVH_TOKEN"

Update an agentProduction

PUT
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

agentId
read-only
integer
—
breakStatus
integer

The id of the current break status of the agent

description
string

The agent's description

number
phoneNumber

The number of the agent

simultaneousLines
integer

The maximum of simultaneous calls that the agent will receive from the hunting

status
OvhPabxHuntingAgentStatusEnum

The current status of the agent

ValuesavailableloggedOutonBreak
timeout
integer

The waiting timeout (in seconds) before hangup an assigned called

type
read-only
OvhPabxHuntingAgentTypeEnum

The agent's type

Valuesexternalinternal
wrapUpTime
integer

The wrap up time (in seconds) after the calls

Response

200—successful operation

Example uses agentId = 0, billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId} \
  -H "authorization: Bearer $OVH_TOKEN"

Get the agent banner accessProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/bannerAccess

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200BannerAccesssuccessful operation
creationDate
read-only
stringdate-time

The creation date of this access

id
read-only
integer
—
url
read-only
string

The url of the web access

Example uses agentId = 0, billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/bannerAccess \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "id": 0, "url": "string"}

Create the agent banner accessProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/bannerAccess

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200BannerAccesssuccessful operation
creationDate
read-only
stringdate-time

The creation date of this access

id
read-only
integer
—
url
read-only
string

The url of the web access

Example uses agentId = 0, billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/bannerAccess \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "id": 0, "url": "string"}

Delete the agent banner accessProduction

DELETE
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/bannerAccess

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200—successful operation

Example uses agentId = 0, billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/bannerAccess \
  -H "authorization: Bearer $OVH_TOKEN"

List agent callsProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/calls

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses agentId = 0, billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/calls \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a live callProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/calls/{id}

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200OvhPabxHuntingQueueLiveCallssuccessful operation
agent
read-only
string

Name or number of the agent who answered the call

answered
read-only
stringdate-time

Answer date of the call

begin
read-only
stringdate-time

Begin date of the call

callerIdName
read-only
string

Name of the caller (or anonymous if unknown)

callerIdNumber
read-only
string

Phone number of the caller (or anonymous if unknown)

destinationNumber
read-only
string

Phone number called (in case of an outgoing call)

end
read-only
stringdate-time

End date of the call

id
read-only
integer
—
onHold
read-only
boolean

Whether or not the call is on hold

queue
read-only
string

Name of the queue of the call

state
read-only
OvhPabxHuntingLiveCallsStateEnum

Current state of the call

ValuesAnsweredWaiting

Example uses agentId = 0, billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/calls/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "agent": "string", "answered": "2024-01-01T12:00:00Z", "begin": "2024-01-01T12:00:00Z", "callerIdName": "string", "callerIdNumber": "string", "destinationNumber": "string", "end": "2024-01-01T12:00:00Z", "id": 0, "onHold": true, "queue": "string", "state": "Answered"}

Eavesdrop on a callProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/calls/{id}/eavesdrop

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Request body (required)

number
required
phoneNumber

Phone number that will be called and bridged in the communication

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses agentId = 0, billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/calls/{id}/eavesdrop \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Hang up a callProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/calls/{id}/hangup

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses agentId = 0, billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/calls/{id}/hangup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Toggle hold on a callProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/calls/{id}/hold

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses agentId = 0, billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/calls/{id}/hold \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Intercept an unanswered callProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/calls/{id}/intercept

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Request body (required)

number
required
phoneNumber

Phone number that will be called and that will intercept the communication

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses agentId = 0, billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/calls/{id}/intercept \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Transfer an answered callProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/calls/{id}/transfer

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Request body (required)

number
required
phoneNumber

Phone number to whom the communication will be transfered

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses agentId = 0, billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/calls/{id}/transfer \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Whisper on a callProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/calls/{id}/whisper

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Request body (required)

number
required
phoneNumber

Phone number that will be called and bridged in the communication

whisperingMode
required
OvhPabxWhisperingModeEnum

Whispering mode

ValuesWhisper to agent onlyWhisper to all participants

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses agentId = 0, billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/calls/{id}/whisper \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Get the event tokenProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/eventToken

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200EventTokensuccessful operation
token
read-only
string
—

Example uses agentId = 0, billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/eventToken \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "token": "string"}

Create an event tokenProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/eventToken

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

expiration
required
TokenExpirationEnum

Time to live in seconds for the token

Values1 day1 hour30 days5 minutesunlimited

Response

200stringsuccessful operation

Example uses agentId = 0, billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/eventToken \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Delete the event tokenProduction

DELETE
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/eventToken

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200—successful operation

Example uses agentId = 0, billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/eventToken \
  -H "authorization: Bearer $OVH_TOKEN"

Get the agent live statusProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/liveStatus

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200OvhPabxHuntingAgentLiveStatussuccessful operation
answeredCalls
read-only
integer

The number of calls this agent took on the current day

lastStatusChange
read-only
stringdate-time

Last status change date

status
read-only
OvhPabxHuntingLiveAgentStatusEnum

Current status of the agent

ValuesinAQueueCallloggedOutonBreakreceivingwaiting
totalCallDuration
read-only
integer

The total duration in seconds of the calls this agent took on the current day

Example uses agentId = 0, billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/liveStatus \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "answeredCalls": 0, "lastStatusChange": "2024-01-01T12:00:00Z", "status": "inAQueueCall", "totalCallDuration": 0}

List the queues of an agentProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/queue

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses agentId = 0, billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/queue \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get an agent position in a queueProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/queue/{queueId}

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

queueId
required
integer
—
serviceName
required
string
—

Response

200OvhPabxHuntingAgentQueuesuccessful operation
agentId
read-only
integer
—
position
integer

The position in the queue

queueId
read-only
integer
—

Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/queue/{queueId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "agentId": 0, "position": 0, "queueId": 0}

Assign an agent to a queueProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/queue

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

position
required
integer

The position of the agent in the queue

queueId
required
integer

The queue where you want to add the agent

Response

200OvhPabxHuntingAgentQueuesuccessful operation
agentId
read-only
integer
—
position
integer

The position in the queue

queueId
read-only
integer
—

Example uses agentId = 0, billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/queue \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "agentId": 0, "position": 0, "queueId": 0}

Remove an agent from a queueProduction

DELETE
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/queue/{queueId}

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

queueId
required
integer
—
serviceName
required
string
—

Response

200—successful operation

Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/queue/{queueId} \
  -H "authorization: Bearer $OVH_TOKEN"

Update an agent position in a queueProduction

PUT
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/queue/{queueId}

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

queueId
required
integer
—
serviceName
required
string
—

Request body (required)

agentId
read-only
integer
—
position
integer

The position in the queue

queueId
read-only
integer
—

Response

200—successful operation

Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/queue/{queueId} \
  -H "authorization: Bearer $OVH_TOKEN"

Get the agent live statusProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/queue/{queueId}/liveStatus

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

queueId
required
integer
—
serviceName
required
string
—

Response

200OvhPabxHuntingAgentLiveStatussuccessful operation
answeredCalls
read-only
integer

The number of calls this agent took on the current day

lastStatusChange
read-only
stringdate-time

Last status change date

status
read-only
OvhPabxHuntingLiveAgentStatusEnum

Current status of the agent

ValuesinAQueueCallloggedOutonBreakreceivingwaiting
totalCallDuration
read-only
integer

The total duration in seconds of the calls this agent took on the current day

Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/agent/{agentId}/queue/{queueId}/liveStatus \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "answeredCalls": 0, "lastStatusChange": "2024-01-01T12:00:00Z", "status": "inAQueueCall", "totalCallDuration": 0}

List custom statusesProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/customStatus

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/customStatus \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a custom statusProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/customStatus/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer
—
serviceName
required
string
—

Response

200OvhPabxCustomStatussuccessful operation
color
read-only
string

The color (in hexadecimal) of the status that will be displayed on agent banner web application

description
read-only
string

A short description of the status

id
read-only
integer
—
name
read-only
string

The name of the status (Pause, Mission, etc...)

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/customStatus/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "color": "string", "description": "string", "id": 0, "name": "string"}

Create a custom statusProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/customStatus

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

color
string

The color (in hexadecimal) of the status that will be displayed on agent banner web application

description
string

A short description of the status

name
required
string

The name of the status (Pause, Mission, etc...)

Response

200OvhPabxCustomStatussuccessful operation
color
read-only
string

The color (in hexadecimal) of the status that will be displayed on agent banner web application

description
read-only
string

A short description of the status

id
read-only
integer
—
name
read-only
string

The name of the status (Pause, Mission, etc...)

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/customStatus \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "color": "string", "description": "string", "id": 0, "name": "string"}

Delete a custom statusProduction

DELETE
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/customStatus/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer
—
serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/customStatus/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Get the event tokenProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/eventToken

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200EventTokensuccessful operation
token
read-only
string
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/eventToken \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "token": "string"}

Create an event tokenProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/eventToken

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

expiration
required
TokenExpirationEnum

Time to live in seconds for the token

Values1 day1 hour30 days5 minutesunlimited

Response

200stringsuccessful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/eventToken \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Delete the event tokenProduction

DELETE
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/eventToken

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/eventToken \
  -H "authorization: Bearer $OVH_TOKEN"

List queuesProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a queueProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}

Path parameters

billingAccount
required
string

The name of your billingAccount

queueId
required
integer
—
serviceName
required
string
—

Response

200OvhPabxHuntingQueuesuccessful operation
actionOnClosure
OvhPabxQueueActionEnum

Action executed when there is no member in queue

Valuesplaybackvoicemail
actionOnClosureParam
string

The additionnal parameter of the on closure action

actionOnOverflow
OvhPabxQueueActionEnum

Action executed when caller enters a full queue

Valuesplaybackvoicemail
actionOnOverflowParam
string

The additionnal parameter of the overflow action

askForRecordDisabling
boolean

Allow the caller to disable call record by pressing a key

confirmKey
OvhPabxIvrMenuKeyEnum

The key that tells the IVR that digit-entry is finished. Also used as a "repeat" key in the menus when no input is expected.

Values#*0123456789
description
string

The name of the queue

followCallForwards
boolean

Follow the calls forwarding

maxMember
integer

The maximum of people waiting in the queue

maxWaitTime
integer

The maximum waiting time (in seconds) in the queue

queueId
read-only
integer
—
record
boolean

Enable record on calls in queue

recordDisablingDigit
OvhPabxHuntingQueueRecordDisablingDigitEnum

Key to press to disable record

Values0123456789
recordDisablingLanguage
OvhPabxHuntingQueueRecordDisablingLanguageEnum

Language of the sound played to the caller to inform that he can disable record

Valuesenglishfrench
soundOnHold
integer

The id of the OvhPabxSound played to caller when on hold

strategy
OvhPabxHuntingQueueStrategyEnum

The calls dispatching strategy

ValuescumulationByAgentOrderlongestHangupAgentlongestIdleAgentrandomringAllroundRobinsequentiallyByAgentOrder

Example uses billingAccount = string, queueId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "actionOnClosure": "playback", "actionOnClosureParam": "string", "actionOnOverflow": "playback", "actionOnOverflowParam": "string", "askForRecordDisabling": true, "confirmKey": "#", "description": "string", "followCallForwards": true, "maxMember": 0, "maxWaitTime": 0, "queueId": 0, "record": true, "recordDisablingDigit": 0, "recordDisablingLanguage": "english", "soundOnHold": 0, "strategy": "cumulationByAgentOrder"}

Create a queueProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

actionOnClosure
OvhPabxQueueActionEnum

Action executed when there is no member in queue

Valuesplaybackvoicemail
actionOnClosureParam
string

The additionnal parameter of the on closure action

actionOnOverflow
OvhPabxQueueActionEnum

Action executed when caller enters a full queue

Valuesplaybackvoicemail
actionOnOverflowParam
string

The additionnal parameter of the overflow action

askForRecordDisabling
boolean

Allow the caller to disable call record by pressing a key

description
string

The name of the queue

maxMember
integer

The maximum of people waiting in the queue

maxWaitTime
integer

The maximum waiting time (in seconds) in the queue

record
boolean

Enable record on calls in queue

recordDisablingDigit
OvhPabxHuntingQueueRecordDisablingDigitEnum

Key to press to disable record

Values0123456789
recordDisablingLanguage
OvhPabxHuntingQueueRecordDisablingLanguageEnum

Language of the sound played to the caller to inform that he can disable record

Valuesenglishfrench
soundOnHold
integer

The id of the OvhPabxSound played to caller when on hold

strategy
required
OvhPabxHuntingQueueStrategyEnum

The calls dispatching strategy

ValuescumulationByAgentOrderlongestHangupAgentlongestIdleAgentrandomringAllroundRobinsequentiallyByAgentOrder

Response

200OvhPabxHuntingQueuesuccessful operation
actionOnClosure
OvhPabxQueueActionEnum

Action executed when there is no member in queue

Valuesplaybackvoicemail
actionOnClosureParam
string

The additionnal parameter of the on closure action

actionOnOverflow
OvhPabxQueueActionEnum

Action executed when caller enters a full queue

Valuesplaybackvoicemail
actionOnOverflowParam
string

The additionnal parameter of the overflow action

askForRecordDisabling
boolean

Allow the caller to disable call record by pressing a key

confirmKey
OvhPabxIvrMenuKeyEnum

The key that tells the IVR that digit-entry is finished. Also used as a "repeat" key in the menus when no input is expected.

Values#*0123456789
description
string

The name of the queue

followCallForwards
boolean

Follow the calls forwarding

maxMember
integer

The maximum of people waiting in the queue

maxWaitTime
integer

The maximum waiting time (in seconds) in the queue

queueId
read-only
integer
—
record
boolean

Enable record on calls in queue

recordDisablingDigit
OvhPabxHuntingQueueRecordDisablingDigitEnum

Key to press to disable record

Values0123456789
recordDisablingLanguage
OvhPabxHuntingQueueRecordDisablingLanguageEnum

Language of the sound played to the caller to inform that he can disable record

Valuesenglishfrench
soundOnHold
integer

The id of the OvhPabxSound played to caller when on hold

strategy
OvhPabxHuntingQueueStrategyEnum

The calls dispatching strategy

ValuescumulationByAgentOrderlongestHangupAgentlongestIdleAgentrandomringAllroundRobinsequentiallyByAgentOrder

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "actionOnClosure": "playback", "actionOnClosureParam": "string", "actionOnOverflow": "playback", "actionOnOverflowParam": "string", "askForRecordDisabling": true, "confirmKey": "#", "description": "string", "followCallForwards": true, "maxMember": 0, "maxWaitTime": 0, "queueId": 0, "record": true, "recordDisablingDigit": 0, "recordDisablingLanguage": "english", "soundOnHold": 0, "strategy": "cumulationByAgentOrder"}

Delete a queueProduction

DELETE
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}

Path parameters

billingAccount
required
string

The name of your billingAccount

queueId
required
integer
—
serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, queueId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a queueProduction

PUT
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}

Path parameters

billingAccount
required
string

The name of your billingAccount

queueId
required
integer
—
serviceName
required
string
—

Request body (required)

actionOnClosure
OvhPabxQueueActionEnum

Action executed when there is no member in queue

Valuesplaybackvoicemail
actionOnClosureParam
string

The additionnal parameter of the on closure action

actionOnOverflow
OvhPabxQueueActionEnum

Action executed when caller enters a full queue

Valuesplaybackvoicemail
actionOnOverflowParam
string

The additionnal parameter of the overflow action

askForRecordDisabling
boolean

Allow the caller to disable call record by pressing a key

confirmKey
OvhPabxIvrMenuKeyEnum

The key that tells the IVR that digit-entry is finished. Also used as a "repeat" key in the menus when no input is expected.

Values#*0123456789
description
string

The name of the queue

followCallForwards
boolean

Follow the calls forwarding

maxMember
integer

The maximum of people waiting in the queue

maxWaitTime
integer

The maximum waiting time (in seconds) in the queue

queueId
read-only
integer
—
record
boolean

Enable record on calls in queue

recordDisablingDigit
OvhPabxHuntingQueueRecordDisablingDigitEnum

Key to press to disable record

Values0123456789
recordDisablingLanguage
OvhPabxHuntingQueueRecordDisablingLanguageEnum

Language of the sound played to the caller to inform that he can disable record

Valuesenglishfrench
soundOnHold
integer

The id of the OvhPabxSound played to caller when on hold

strategy
OvhPabxHuntingQueueStrategyEnum

The calls dispatching strategy

ValuescumulationByAgentOrderlongestHangupAgentlongestIdleAgentrandomringAllroundRobinsequentiallyByAgentOrder

Response

200—successful operation

Example uses billingAccount = string, queueId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId} \
  -H "authorization: Bearer $OVH_TOKEN"

List the agents of a queueProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/agent

Path parameters

billingAccount
required
string

The name of your billingAccount

queueId
required
integer
—
serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, queueId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/agent \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get an agent position in a queueProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/agent/{agentId}

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

queueId
required
integer
—
serviceName
required
string
—

Response

200OvhPabxHuntingAgentQueuesuccessful operation
agentId
read-only
integer
—
position
integer

The position in the queue

queueId
read-only
integer
—

Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/agent/{agentId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "agentId": 0, "position": 0, "queueId": 0}

Assign an agent to a queueProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/agent

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

position
required
integer

The position of the agent in the queue

queueId
required
integer

The queue where you want to add the agent

Response

200OvhPabxHuntingAgentQueuesuccessful operation
agentId
read-only
integer
—
position
integer

The position in the queue

queueId
read-only
integer
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/agent \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "agentId": 0, "position": 0, "queueId": 0}

Remove an agent from a queueProduction

DELETE
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/agent/{agentId}

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

queueId
required
integer
—
serviceName
required
string
—

Response

200—successful operation

Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/agent/{agentId} \
  -H "authorization: Bearer $OVH_TOKEN"

Update an agent position in a queueProduction

PUT
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/agent/{agentId}

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

queueId
required
integer
—
serviceName
required
string
—

Request body (required)

agentId
read-only
integer
—
position
integer

The position in the queue

queueId
read-only
integer
—

Response

200—successful operation

Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/agent/{agentId} \
  -H "authorization: Bearer $OVH_TOKEN"

Get the agent live statusProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/agent/{agentId}/liveStatus

Path parameters

agentId
required
integer
—
billingAccount
required
string

The name of your billingAccount

queueId
required
integer
—
serviceName
required
string
—

Response

200OvhPabxHuntingAgentLiveStatussuccessful operation
answeredCalls
read-only
integer

The number of calls this agent took on the current day

lastStatusChange
read-only
stringdate-time

Last status change date

status
read-only
OvhPabxHuntingLiveAgentStatusEnum

Current status of the agent

ValuesinAQueueCallloggedOutonBreakreceivingwaiting
totalCallDuration
read-only
integer

The total duration in seconds of the calls this agent took on the current day

Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/agent/{agentId}/liveStatus \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "answeredCalls": 0, "lastStatusChange": "2024-01-01T12:00:00Z", "status": "inAQueueCall", "totalCallDuration": 0}

List queue live callsProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/liveCalls

Path parameters

billingAccount
required
string

The name of your billingAccount

queueId
required
integer
—
serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, queueId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/liveCalls \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a live callProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/liveCalls/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

queueId
required
integer
—
serviceName
required
string
—

Response

200OvhPabxHuntingQueueLiveCallssuccessful operation
agent
read-only
string

Name or number of the agent who answered the call

answered
read-only
stringdate-time

Answer date of the call

begin
read-only
stringdate-time

Begin date of the call

callerIdName
read-only
string

Name of the caller (or anonymous if unknown)

callerIdNumber
read-only
string

Phone number of the caller (or anonymous if unknown)

destinationNumber
read-only
string

Phone number called (in case of an outgoing call)

end
read-only
stringdate-time

End date of the call

id
read-only
integer
—
onHold
read-only
boolean

Whether or not the call is on hold

queue
read-only
string

Name of the queue of the call

state
read-only
OvhPabxHuntingLiveCallsStateEnum

Current state of the call

ValuesAnsweredWaiting

Example uses billingAccount = string, id = 0, queueId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/liveCalls/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "agent": "string", "answered": "2024-01-01T12:00:00Z", "begin": "2024-01-01T12:00:00Z", "callerIdName": "string", "callerIdNumber": "string", "destinationNumber": "string", "end": "2024-01-01T12:00:00Z", "id": 0, "onHold": true, "queue": "string", "state": "Answered"}

Eavesdrop on a callProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/liveCalls/{id}/eavesdrop

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

queueId
required
integer
—
serviceName
required
string
—

Request body (required)

number
required
phoneNumber

Phone number that will be called and bridged in the communication

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, id = 0, queueId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/liveCalls/{id}/eavesdrop \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Hang up a callProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/liveCalls/{id}/hangup

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

queueId
required
integer
—
serviceName
required
string
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, id = 0, queueId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/liveCalls/{id}/hangup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Toggle hold on a callProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/liveCalls/{id}/hold

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

queueId
required
integer
—
serviceName
required
string
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, id = 0, queueId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/liveCalls/{id}/hold \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Intercept an unanswered callProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/liveCalls/{id}/intercept

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

queueId
required
integer
—
serviceName
required
string
—

Request body (required)

number
required
phoneNumber

Phone number that will be called and that will intercept the communication

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, id = 0, queueId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/liveCalls/{id}/intercept \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Transfer an answered callProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/liveCalls/{id}/transfer

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

queueId
required
integer
—
serviceName
required
string
—

Request body (required)

number
required
phoneNumber

Phone number to whom the communication will be transfered

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, id = 0, queueId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/liveCalls/{id}/transfer \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Whisper on a callProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/liveCalls/{id}/whisper

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

queueId
required
integer
—
serviceName
required
string
—

Request body (required)

number
required
phoneNumber

Phone number that will be called and bridged in the communication

whisperingMode
required
OvhPabxWhisperingModeEnum

Whispering mode

ValuesWhisper to agent onlyWhisper to all participants

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, id = 0, queueId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/liveCalls/{id}/whisper \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Get queue live statisticsProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/liveStatistics

Path parameters

billingAccount
required
string

The name of your billingAccount

queueId
required
integer
—
serviceName
required
string
—

Response

200OvhPabxHuntingQueueLiveStatisticssuccessful operation
callsAnswered
read-only
integer

Total of calls answered

callsLost
read-only
integer

Total of calls lost

callsTotal
read-only
integer

Total of calls

lastReset
read-only
stringdate-time

Last reset datetime of queue's statistics

totalCallDuration
read-only
integer

Total call duration in seconds

totalWaitingDuration
read-only
integer

Total waiting duration in seconds

Example uses billingAccount = string, queueId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/hunting/queue/{queueId}/liveStatistics \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "callsAnswered": 0, "callsLost": 0, "callsTotal": 0, "lastReset": "2024-01-01T12:00:00Z", "totalCallDuration": 0, "totalWaitingDuration": 0}

List menusProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/menu

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/menu \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a menuProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/menu/{menuId}

Path parameters

billingAccount
required
string

The name of your billingAccount

menuId
required
integer
—
serviceName
required
string
—

Response

200OvhPabxMenusuccessful operation
greetSound
integer

The id of the OvhPabxSound played to greet

greetSoundTts
integer

The text to speech sound played to greet

interDigitTimeout
integer

The timeout in milliseconds before considering the DTMF entry as done

invalidSound
integer

The id of the OvhPabxSound played when the caller uses an invalid DTMF

invalidSoundTts
integer

The text to speech sound played when the caller uses an invalid DTMF

menuId
read-only
integer
—
name
string

The name of the menu

timeout
integer

The timeout in milliseconds before ending the menu when no DTMF is received

Example uses billingAccount = string, menuId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/menu/{menuId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "greetSound": 0, "greetSoundTts": 0, "interDigitTimeout": 0, "invalidSound": 0, "invalidSoundTts": 0, "menuId": 0, "name": "string", "timeout": 0}

Create a menuProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/menu

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

greetSound
integer

The id of the OvhPabxSound played to greet

greetSoundTts
integer

The text to speech sound played to greet

interDigitTimeout
integer

The timeout in milliseconds before considering the DTMF entry as done

invalidSound
integer

The id of the OvhPabxSound played when the caller uses an invalid DTMF

invalidSoundTts
integer

The text to speech sound played when the caller uses an invalid DTMF

name
required
string

The name of the menu

timeout
integer

The timeout in milliseconds before ending the menu when no DTMF is received

Response

200OvhPabxMenusuccessful operation
greetSound
integer

The id of the OvhPabxSound played to greet

greetSoundTts
integer

The text to speech sound played to greet

interDigitTimeout
integer

The timeout in milliseconds before considering the DTMF entry as done

invalidSound
integer

The id of the OvhPabxSound played when the caller uses an invalid DTMF

invalidSoundTts
integer

The text to speech sound played when the caller uses an invalid DTMF

menuId
read-only
integer
—
name
string

The name of the menu

timeout
integer

The timeout in milliseconds before ending the menu when no DTMF is received

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/menu \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "greetSound": 0, "greetSoundTts": 0, "interDigitTimeout": 0, "invalidSound": 0, "invalidSoundTts": 0, "menuId": 0, "name": "string", "timeout": 0}

Delete a menuProduction

DELETE
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/menu/{menuId}

Path parameters

billingAccount
required
string

The name of your billingAccount

menuId
required
integer
—
serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, menuId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/menu/{menuId} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a menuProduction

PUT
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/menu/{menuId}

Path parameters

billingAccount
required
string

The name of your billingAccount

menuId
required
integer
—
serviceName
required
string
—

Request body (required)

greetSound
integer

The id of the OvhPabxSound played to greet

greetSoundTts
integer

The text to speech sound played to greet

interDigitTimeout
integer

The timeout in milliseconds before considering the DTMF entry as done

invalidSound
integer

The id of the OvhPabxSound played when the caller uses an invalid DTMF

invalidSoundTts
integer

The text to speech sound played when the caller uses an invalid DTMF

menuId
read-only
integer
—
name
string

The name of the menu

timeout
integer

The timeout in milliseconds before ending the menu when no DTMF is received

Response

200—successful operation

Example uses billingAccount = string, menuId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/menu/{menuId} \
  -H "authorization: Bearer $OVH_TOKEN"

List menu entriesProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/menu/{menuId}/entry

Path parameters

billingAccount
required
string

The name of your billingAccount

menuId
required
integer
—
serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, menuId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/menu/{menuId}/entry \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a menu entryProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/menu/{menuId}/entry/{entryId}

Path parameters

billingAccount
required
string

The name of your billingAccount

entryId
required
integer
—
menuId
required
integer
—
serviceName
required
string
—

Response

200OvhPabxMenuEntrysuccessful operation
action
OvhPabxIvrMenuEntryActionEnum

The action triggered by the DTMF

ValuesbridgecallcentermenuBackmenuExitmenuSubmenuTopplaybackreadDtmfsetCallerName
actionParam
string

The additionnal parameter of the action

dtmf
string

The DTMF that triggers the action

entryId
read-only
integer
—
position
read-only
integer

The position of the entry in the menu

Example uses billingAccount = string, entryId = 0, menuId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/menu/{menuId}/entry/{entryId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "bridge", "actionParam": "string", "dtmf": "string", "entryId": 0, "position": 0}

Create a menu entryProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/menu/{menuId}/entry

Path parameters

billingAccount
required
string

The name of your billingAccount

menuId
required
integer
—
serviceName
required
string
—

Request body (required)

action
required
OvhPabxIvrMenuEntryActionEnum

The action triggered by the DTMF

ValuesbridgecallcentermenuBackmenuExitmenuSubmenuTopplaybackreadDtmfsetCallerName
actionParam
string

The additionnal parameter of the action

dtmf
required
string

The DTMF that triggers the action

position
required
integer

The position of the entry in the menu

Response

200OvhPabxMenuEntrysuccessful operation
action
OvhPabxIvrMenuEntryActionEnum

The action triggered by the DTMF

ValuesbridgecallcentermenuBackmenuExitmenuSubmenuTopplaybackreadDtmfsetCallerName
actionParam
string

The additionnal parameter of the action

dtmf
string

The DTMF that triggers the action

entryId
read-only
integer
—
position
read-only
integer

The position of the entry in the menu

Example uses billingAccount = string, menuId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/menu/{menuId}/entry \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "bridge", "actionParam": "string", "dtmf": "string", "entryId": 0, "position": 0}

Delete a menu entryProduction

DELETE
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/menu/{menuId}/entry/{entryId}

Path parameters

billingAccount
required
string

The name of your billingAccount

entryId
required
integer
—
menuId
required
integer
—
serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, entryId = 0, menuId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/menu/{menuId}/entry/{entryId} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a menu entryProduction

PUT
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/menu/{menuId}/entry/{entryId}

Path parameters

billingAccount
required
string

The name of your billingAccount

entryId
required
integer
—
menuId
required
integer
—
serviceName
required
string
—

Request body (required)

action
OvhPabxIvrMenuEntryActionEnum

The action triggered by the DTMF

ValuesbridgecallcentermenuBackmenuExitmenuSubmenuTopplaybackreadDtmfsetCallerName
actionParam
string

The additionnal parameter of the action

dtmf
string

The DTMF that triggers the action

entryId
read-only
integer
—
position
read-only
integer

The position of the entry in the menu

Response

200—successful operation

Example uses billingAccount = string, entryId = 0, menuId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/menu/{menuId}/entry/{entryId} \
  -H "authorization: Bearer $OVH_TOKEN"

List call recordingsProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/records

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/records \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a call recordingProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/records/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer
—
serviceName
required
string
—

Response

200OvhPabxRecordsuccessful operation
agent
read-only
string

The agent number of the recorded call

callEnd
read-only
stringdate-time

The end date of the recorded call

callStart
read-only
stringdate-time

The begin date of the recorded call

callerIdName
read-only
string

The caller name of the recorded call

callerIdNumber
read-only
string

The caller number of the recorded call

destinationNumber
read-only
string

The destination number of the recorded call

duration
read-only
integer

The duration in seconds of the recorded call

fileUrl
read-only
string

The record sound url

id
read-only
integer
—

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/records/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "agent": "string", "callEnd": "2024-01-01T12:00:00Z", "callStart": "2024-01-01T12:00:00Z", "callerIdName": "string", "callerIdNumber": "string", "destinationNumber": "string", "duration": 0, "fileUrl": "string", "id": 0}

Delete a call recordingProduction

DELETE
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/records/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer
—
serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/records/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

List soundsProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/sound

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/sound \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a soundProduction

GET
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/sound/{soundId}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—
soundId
required
integer
—

Response

200OvhPabxSoundsuccessful operation
name
read-only
string

The sound filename

soundId
read-only
integer
—

Example uses billingAccount = string, serviceName = string, soundId = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/sound/{soundId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "name": "string", "soundId": 0}

Delete a soundProduction

DELETE
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/sound/{soundId}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—
soundId
required
integer
—

Response

200—successful operation

Example uses billingAccount = string, serviceName = string, soundId = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/sound/{soundId} \
  -H "authorization: Bearer $OVH_TOKEN"

Upload a soundProduction

POST
/1.0/telephony/{billingAccount}/ovhPabx/{serviceName}/soundUpload

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

documentId
string

ID of the /me/document file you want to import

name
string

The name you want to give to your file

url
string

URL of the file you want to import (instead of /me/document ID)

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, serviceName = string

[...]
